| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DFontSelect Class Reference
Inheritance diagram for Digikam::DFontSelect:

## Public Types
enum | FontMode { SystemFont = 0 , CustomFont }

## Signals
void | signalFontChanged ()

## Public Member Functions
| DFontSelect (const QString &text, QWidget *const parent=nullptr)
QFont | font () const
FontMode | mode () const
void | setFont (const QFont &font)
void | setMode (FontMode mode)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Protected Member Functions
bool | event (QEvent *e) override
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override